#!/bin/bash

# prepare to communicate status back to arm sender
. /opt/quorum/bin/armutil.sh
start


# invoke rman backup
su - oracle -c ~oracle/oracle_backup/oracle_backup.sh > ~oracle/oracle_backup/oracle_backup.log 2>&1
rc=$?
chmod 777 ~oracle/oracle_backup/oracle_backup.log

if test ! $rc -eq 0; then
    finish "rman backup failed, see ~oracle/oracle_backup/oracle_backup.log"
    exit $rc
fi

finish "rman backup succeeded"
exit 0
